GELF_GETPHDR(3)

NAME
gelf_getphdr - Retrieve class-independent program header table entries for an ELF object file

SYNOPSIS
#include <gelf.h>
GElf_Phdr *gelf_getphdr (Elf *elf, int ndx, GElf_Phdr *dst);

DESCRIPTION
Retrieve the class-independent program header table entry at index ndx for ELF descriptor elf and store it in dst. See elf_getphdrnum(3) for information on how to acquire the number of entries in the program header table.

PARAMETERS

elf ELF descriptor of kind ELF_K_ELF from which to retrieve the program header table entry.

ndx The index of the program header table entry to be retrieved.

dst Pointer to a caller-provided GElf_Phdr that will receive the requested program header table entry.

RETURN VALUE
On success, the requested entry is copied into dst and dst is returned. On failure, NULL is returned and elf_errno is set. If elf is NULL, then NULL is returned and elf_errno is not set.

SEE ALSO
elf32_getphdr(3), elf64_getphdr(3), elf_getphdrnum(3), gelf_newphdr(3), gelf_update_phdr(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.